Psychopy installation

From TSG Doc
Revision as of 08:52, 27 October 2017 by Wilbert.vanham (talk | contribs) (as requested by Norbert Hermesdorf)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Installing Python and Psychopy

Do you want to install Psychopy? Please refer to the psychopy installation page or keep reading. Instructions for Windows users are below those for Linux users.

Linux

System installer

If you have a debian-like system (Ubunutu, Debian), The newest version of Psychopy is available from neurodebian. Adding the neurodebian installation source before continuing will improve your experience.

On Linux systems installing Python and the required libraries is usually possible with your systems's software installer. Just click Psychopy and you are ready to go. The installer will make sure that all you need is installed.

File:Muon.png

Additionally you may want tot install a number of much used libraries:

  • python-serial
  • python-opengl
  • python-qt4
  • python-wxgtk
  • python-pyglet
  • python-pygame
  • python-pyaudio (portaudio)
  • python-opencv
  • python-pip
  • python-setuptools

The names above are those for Ubuntu and friends (Kubuntu, Lubuntu). The names of then packages may slightly vary for other Unices.

PyPI

In addition to this you may want tot install some packages from the Python Package index (PyPI). The python-pip package contains a nice tool for this called pip. To install for instance the RuSocSci type the following: sudo pip install RuSocSci. The system will respond with something like:


example:~> sudo pip install -U RuSocSci
Downloading/unpacking RuSocSci
  Downloading RuSocSci-0.6.6.zip
  Running setup.py egg_info for package RuSocSci

Downloading/unpacking pyserial (from RuSocSci)
  Downloading pyserial-2.7.tar.gz (122Kb): 122Kb downloaded
  Running setup.py egg_info for package pyserial

Installing collected packages: RuSocSci, pyserial
  Found existing installation: RuSocSci 0.6.6
    Uninstalling RuSocSci:
      Successfully uninstalled RuSocSci
  Running setup.py install for RuSocSci

  Found existing installation: pyserial 2.7
    Uninstalling pyserial:
      Successfully uninstalled pyserial
  Running setup.py install for pyserial
    changing mode of build/scripts-2.7/miniterm.py from 644 to 755

    changing mode of /usr/local/bin/miniterm.py to 755
Successfully installed RuSocSci pyserial
Cleaning up...

You are now ready to use PsychoPy. Packages you may want to install with pip include:

  • rusocsci
  • moviepy

Windows stand-alone

If you do not use Python for purposes other than PsychoPy experiments, you are advised to use the PsychoPy stand-alone Windows installer. Choose StandalonePsychoPy-1.85.2-win32.exe or something newer if present. After installation please continue at Windows post install

Windows with PsychoPy 1.85.3 as library

If you already have Python 2.7 installed on your computer or if you want to use Python for other purposes as well, you are advised to install PsychoPy as library. This is substantially more work. Perhaps you would really prefer installing Linux on your system rather than doing this.

Doing this has become simpler with psychopy 1.85.3. Note that for the first two steps in the following instructions you need administrative privileges and for the third one it may be necessary. Chronological instructions:

  1. Install the newest 32 bit version of Python 2.7. You can download it here. If that does not work, go here and choose the 32 bit installer (Windows x86 MSI Installer). During installation choose 'add python.exe to path'.
  2. Install wxwidgets 2.8 If that does not work, go here and choose wxPython2.8-win64-unicode-2.8.12.1-py27.exe. It is the ancient library used by PsychoPy for its IDE. It is essential that you do NOT install wxpython/wxwidgets from another source.
  3. Download this file (right-click -> save link as...) with all other requirements. Use Windows file Explorer to go to the folder where you downloaded it. Shift-right-click to the right of the files (make sure the window is wide enough). Choose 'Open command window here'. From a command line type:
    pip install -r DEPS1853.txt
    Enjoy watching, and see if there are any errors.
  4. Now Psychopy is installed on your system. You may want to make a link that opens C:\Python27\Lib\site-packages\psychopy\app\psychopyApp.py with C:\Python27\pythonw.exe and has C:\Python27\Lib\site-packages\psychopy\app\Resources\psychopy.ico as icon.

I thank Christoph Gohlke for compiling the individual packages

Windows post install

You may want to consider installing many more packages. Unless otherwise noted, they can be installed with pip.

  • lxml
  • dateutils
  • antigravity
  • kivy
  • expyriment
  • opencv2 (copy cv2.pyd to /Lib)
  • PresPy.pyd (copy /Lib) to use python scripts with Neurobs presentation stimuli.
  • avbin5. You can download it here or better here. Choose Version 5 binary release, Windows (32-bit x86). Copy avbin.dll into WOW64.
  • pyo. You can download it here. Choose a the newest ...py2.7_setup.exe.
  • PyQt/ PySide. You can download it here. Choose the newest PyQt4 Python 2.7 32 bit Windows installer. PySide is available from pypi.
  • PyQtGraph. You can download it here.

Anaconda

On all operating systems you can use Anaconda. After installation of anaconda:

Use conda or anaconda-navigator to install: wxpython, pandas, lxml, opencv (opencv and vlc are necessary for moviestim2)

Use conda or anaconda-navigator to add the channel cogsci and install psychopy 1.82.

Do you like this method? Ask me to make a channel containing the newest Psychopy.

Your quest to install PsychoPy on Windows has finished. Welcome, brave sir Knight. Welcome to the Castle Anthrax.